On Tue, 2007-11-20 at 23:20 +0100, G.Fischer@vt.TU-Berlin.DE wrote: 
[...]
> gmake failed with

Thanks for the report. The version/release is usually good to know.

> #gmake
> ./gcc-warnings: 36: Syntax error: Bad substitution
> ./gcc-warnings: 36: Syntax error: Bad substitution

Hmm, the line in the /bin/sh script is
----  snip  ----
OPTS="${OPTS//$opt}"
----  snip  ----
Is that not a /bin/sh feature?

[...] 
> src/ipc_frontend.o src/ipc_frontend.c
> src/ipc_frontend.c:66:1: warning: "MSG_NOSIGNAL" redefined
> In file included from src/defs.h:49,
>                   from src/ipc_frontend.h:59,
>                   from src/ipc_frontend.c:49:
> /usr/include/sys/socket.h:406:1: warning: this is the location of the 
> previous definition

Fixed in CVS.

[...] 
> src/main.o src/main.c
> src/main.c: In function `main':
> src/main.c:155: warning: passing arg 1 of `localtime' from incompatible 
> pointer type

Fixed in CVS. Since we do this once at startup, it isn't that critical.

[...] 
> gcc  -O2  -Isrc -pthread 
> -DOLSRD_GLOBAL_CONF_FILE=\"/usr/local/etc/olsrd.conf\" -DNDEBUG    -c -o 
> src/net_olsr.o src/net_olsr.c
> src/net_olsr.c: In function `olsr_netmask_to_prefix':
> src/net_olsr.c:524: error: `USHRT_MAX' undeclared (first use in this 
> function)
> src/net_olsr.c:524: error: (Each undeclared identifier is reported only 
> once
> src/net_olsr.c:524: error: for each function it appears in.)
> gmake: *** [src/net_olsr.o] Error 1

USHRT_MAX should be in <limits.h>
(http://www.opengroup.org/onlinepubs/009695399/basedefs/limits.h.html)
which seems to be included indirectly on other Unixens.
Added that in CVS.
You could add
----  snip  ----
#include <limits.h>
----  snip  ----
to the others in net_olsr.c and see if it's fixed?

	Bernd
-- 
Firmix Software GmbH                   http://www.firmix.at/
mobil: +43 664 4416156                 fax: +43 1 7890849-55
          Embedded Linux Development and Services



